## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# NOTE(mhayden): Tests are disabled because the upstream repository doesn't
#include the 'googletest' component and even if 'googletest' is packaged
#separately, lots of patching for the cmake configuration is required to make it
#work.
%bcond_with tests

%global         srcname     google-crc32c
%global         reponame    crc32c
%global         forgeurl    https://github.com/google/%{reponame}
Version:        1.1.2
%global         tag         %{version}
%forgemeta -a

Name:           %{srcname}
Release:        %autorelease
License:        BSD-3-Clause
Summary:        CRC32C implementation with support for CPU-specific acceleration instructions
Url:            %forgeurl
Source0:        %forgesource

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
This project collects a few CRC32C implementations under an umbrella that
dispatches to a suitable implementation based on the host computer's hardware
capabilities. CRC32C is specified as the CRC that uses the iSCSI polynomial in
RFC 3720. The polynomial was introduced by G. Castagnoli, S. Braeuer and M.
Herrmann. CRC32C is used in software such as Btrfs, ext4, Ceph and leveldb.


%package devel
Summary:        Development files for %{srcname}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{srcname}.


%prep
%autosetup -n %{reponame}-%{version}


%build
# NOTE(mhayden): Thanks to the Arch Linux developers for providing ideas on how
# to compile this properly. https://aur.archlinux.org/packages/google-crc32c/
%cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DCRC32C_BUILD_BENCHMARKS=OFF \
    -DCRC32C_BUILD_TESTS=OFF \
    -DCRC32C_USE_GLOG=OFF
%cmake_build


%install
%cmake_install


%if %{with tests}
%check
%ctest
%endif


%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{reponame}.so.1*


%files devel
%license LICENSE
%doc README.md
%{_libdir}/lib%{reponame}.so
%{_libdir}/cmake/Crc32c/
%{_includedir}/%{reponame}


%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 1.1.2-6
- Set SPDX license

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 03 2022 Major Hayden <major@redhat.com> - 1.1.2-3
- Drop period from cmake line

* Tue May 10 2022 Major Hayden <major@mhtx.net> - 1.1.2-2
- Add sources

* Tue May 10 2022 Major Hayden <major@mhtx.net> - 1.1.2-1
- Update to 1.1.2

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 1.1.1-2
- Move to rpmautospec

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> - 1.1.1-1
- Initial import (#1983175)
## END: Generated by rpmautospec
